using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PT
{
    [Description("安全方针调查征集要求")]
    public class T_PT_SAFETY_POLICY_SURVEY_COLLECT:MesEntityBase
    {
        /// <summary>
        /// 安全方针调查表ID
        /// </summary>
        [Description("安全方针调查表ID")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_SafetyPolicy", "Nav_Collects")]
        public Guid SAFETY_POLICY_ID { get; set; }

        /// <summary>
        /// 导航属性：安全方针调查表
        /// </summary>
        [Description("安全方针调查表")]
        public virtual T_PT_SAFETY_POLICY_SURVEY Nav_SafetyPolicy { get; set; }

        [Description("征集要求表")]
        [DataFieldForeignKey("Nav_Collect")]
        public Guid? COLLECT_ID { get; set; }

        /// <summary>
        /// 导航属性：安全方针调查表
        /// </summary>
        [Description("安全方针调查表")]
        public virtual T_PT_COLLECT_REQUIREMENTS Nav_Collect { get; set; }
    }
}
